﻿using Microsoft.Office.Interop.Outlook;
using Microsoft.Office.Tools.Outlook;
using System;

namespace TestProject
{
    /// <summary>
    /// 메인 폼 영역
    /// </summary>
    partial class MainFormRegion
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Class
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 메인 폼 영역 팩토리 - MainFormRegionFactory

        /// <summary>
        /// 메인 폼 영역 팩토리
        /// </summary>
        [FormRegionMessageClass(FormRegionMessageClassAttribute.Note)]
        [FormRegionName("TestProject.MainFormRegion")]
        public partial class MainFormRegionFactory
        {
            //////////////////////////////////////////////////////////////////////////////////////////////////// Method
            ////////////////////////////////////////////////////////////////////////////////////////// Private

            #region 메인 폼 영역 팩토리 폼 영역 초기화시 처리하기 - MainFormRegionFactory_FormRegionInitializing(sender, e)

            /// <summary>
            /// 메인 폼 영역 팩토리 폼 영역 초기화시 처리하기
            /// </summary>
            /// <param name="sender">이벤트 발생자</param>
            /// <param name="e">이벤트 인자</param>
            private void MainFormRegionFactory_FormRegionInitializing(object sender, FormRegionInitializingEventArgs e)
            {
            }

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 메인 폼 영역 폼 영역 표시전 처리하기 - MainFormRegion_FormRegionShowing(sender, e)

        /// <summary>
        /// 메인 폼 영역 폼 영역 표시전 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void MainFormRegion_FormRegionShowing(object sender, EventArgs e)
        {
            MailItem mailItem = OutlookItem as MailItem; 

            Folder folder = mailItem.Parent as Folder; 

            if(folder.Name == "받은 편지함")
            {
                OutlookFormRegion.Visible = true;
            }
            else
            {
                OutlookFormRegion.Visible = false;
            }
        }

        #endregion
        #region 메인 폼 영역 폼 영역 닫은 후 처리하기 - MainFormRegion_FormRegionClosed(sender, e)

        /// <summary>
        /// 메인 폼 영역 폼 영역 닫은 후 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void MainFormRegion_FormRegionClosed(object sender, EventArgs e)
        {
        }

        #endregion
    }
}